Discourse installation on CentOS 6.5


(Nik) #1

Dear Discourse community,

I would like to install Discourse software on my dedicated server that uses CentOS 6.7, but I have received the following reply from my support team:

** In order to install discourse, it will require to install docker demon but it requires a 64-bit installation regardless of CentOS version. Also, kernel must be 3.10 at minimum and current kernel version is “2.6.32-573.7.1.el6.x86_64”. CentOS 7 runs the 3.10 kernel but installed CentOS 6.7 does not. **

So I have asked my support to upgrade kernel to 3.10 since I can’t upgrade the server to CentOS 7.
Also, can docker daemon 64-bit be installed on CentOS 6.7 version?

Thanks in advance,
Nik


(AstonJ) #2

In short… nope.

I tried that but had problems, so ended up just reformatting the box and installing 7. Docker no longer supports CentOS/RHEL 6.x platforms.


(Nik) #3

Thanks for your reply AstonJ.

Well, it seems for now that I’m stuck with this server version as I can’t move to version 7 of CentOS. :frowning:
I am stuck with this bad IPB forum :frowning: